Index: admin/js/jquery/jquery.ui.touch-punch.js
===================================================================
--- admin/js/jquery/jquery.ui.touch-punch.js	(revision 2495)
+++ admin/js/jquery/jquery.ui.touch-punch.js	(revision 2495)
@@ -0,0 +1,160 @@
+/*!
+ * jQuery UI Touch Punch 0.2.2
+ *
+ * Copyright 2011, Dave Furfero
+ * Dual licensed under the MIT or GPL Version 2 licenses.
+ *
+ * Depends:
+ *  jquery.ui.widget.js
+ *  jquery.ui.mouse.js
+ */
+(function ($) {
+
+  // Detect touch support
+  $.support.touch = 'ontouchend' in document;
+
+  // Ignore browsers without touch support
+  if (!$.support.touch) {
+    return;
+  }
+
+  var mouseProto = $.ui.mouse.prototype,
+      _mouseInit = mouseProto._mouseInit,
+      touchHandled;
+
+  /**
+   * Simulate a mouse event based on a corresponding touch event
+   * @param {Object} event A touch event
+   * @param {String} simulatedType The corresponding mouse event
+   */
+  function simulateMouseEvent (event, simulatedType) {
+
+    // Ignore multi-touch events
+    if (event.originalEvent.touches.length > 1) {
+      return;
+    }
+
+    event.preventDefault();
+
+    var touch = event.originalEvent.changedTouches[0],
+        simulatedEvent = document.createEvent('MouseEvents');
+    
+    // Initialize the simulated mouse event using the touch event's coordinates
+    simulatedEvent.initMouseEvent(
+      simulatedType,    // type
+      true,             // bubbles                    
+      true,             // cancelable                 
+      window,           // view                       
+      1,                // detail                     
+      touch.screenX,    // screenX                    
+      touch.screenY,    // screenY                    
+      touch.clientX,    // clientX                    
+      touch.clientY,    // clientY                    
+      false,            // ctrlKey                    
+      false,            // altKey                     
+      false,            // shiftKey                   
+      false,            // metaKey                    
+      0,                // button                     
+      null              // relatedTarget              
+    );
+
+    // Dispatch the simulated event to the target element
+    event.target.dispatchEvent(simulatedEvent);
+  }
+
+  /**
+   * Handle the jQuery UI widget's touchstart events
+   * @param {Object} event The widget element's touchstart event
+   */
+  mouseProto._touchStart = function (event) {
+
+    var self = this;
+
+    // Ignore the event if another widget is already being handled
+    if (touchHandled || !self._mouseCapture(event.originalEvent.changedTouches[0])) {
+      return;
+    }
+
+    // Set the flag to prevent other widgets from inheriting the touch event
+    touchHandled = true;
+
+    // Track movement to determine if interaction was a click
+    self._touchMoved = false;
+
+    // Simulate the mouseover event
+    simulateMouseEvent(event, 'mouseover');
+
+    // Simulate the mousemove event
+    simulateMouseEvent(event, 'mousemove');
+
+    // Simulate the mousedown event
+    simulateMouseEvent(event, 'mousedown');
+  };
+
+  /**
+   * Handle the jQuery UI widget's touchmove events
+   * @param {Object} event The document's touchmove event
+   */
+  mouseProto._touchMove = function (event) {
+
+    // Ignore event if not handled
+    if (!touchHandled) {
+      return;
+    }
+
+    // Interaction was not a click
+    this._touchMoved = true;
+
+    // Simulate the mousemove event
+    simulateMouseEvent(event, 'mousemove');
+  };
+
+  /**
+   * Handle the jQuery UI widget's touchend events
+   * @param {Object} event The document's touchend event
+   */
+  mouseProto._touchEnd = function (event) {
+
+    // Ignore event if not handled
+    if (!touchHandled) {
+      return;
+    }
+
+    // Simulate the mouseup event
+    simulateMouseEvent(event, 'mouseup');
+
+    // Simulate the mouseout event
+    simulateMouseEvent(event, 'mouseout');
+
+    // If the touch interaction did not move, it should trigger a click
+    if (!this._touchMoved) {
+
+      // Simulate the click event
+      simulateMouseEvent(event, 'click');
+    }
+
+    // Unset the flag to allow other widgets to inherit the touch event
+    touchHandled = false;
+  };
+
+  /**
+   * A duck punch of the $.ui.mouse _mouseInit method to support touch events.
+   * This method extends the widget with bound touch event handlers that
+   * translate touch events to mouse events and pass them to the widget's
+   * original mouse event handling methods.
+   */
+  mouseProto._mouseInit = function () {
+    
+    var self = this;
+
+    // Delegate the touch handlers to the widget's element
+    self.element
+      .bind('touchstart', $.proxy(self, '_touchStart'))
+      .bind('touchmove', $.proxy(self, '_touchMove'))
+      .bind('touchend', $.proxy(self, '_touchEnd'));
+
+    // Call the original $.ui.mouse init method
+    _mouseInit.call(self);
+  };
+
+})(jQuery);
Index: admin/media.php
===================================================================
--- admin/media.php	(revision 2430)
+++ admin/media.php	(revision 2320)
@@ -344,7 +344,7 @@
 
 if ($post_id) {
-	echo '<div class="form-note info"><p>'.sprintf(__('Choose a file to attach to entry %s by clicking on %s.'),
+	echo '<p class="form-note info">'.sprintf(__('Choose a file to attach to entry %s by clicking on %s.'),
 		'<a href="'.$core->getPostAdminURL($post_type,$post_id).'">'.html::escapeHTML($post_title).'</a>',
-		'<img src="images/plus.png" alt="'.__('Attach this file to entry').'" />').'</p></div>';
+		'<img src="images/plus.png" alt="'.__('Attach this file to entry').'" />').'</p>';
 }
 if ($popup) {
Index: admin/plugins.php
===================================================================
--- admin/plugins.php	(revision 2487)
+++ admin/plugins.php	(revision 2337)
@@ -59,5 +59,5 @@
 # -- Execute actions --
 try {
-	$list->doActions();
+	$list->doActions('plugins');
 }
 catch (Exception $e) {
@@ -131,5 +131,5 @@
 			->setModules($modules)
 			->displayModules(
-				/*cols */		array('checkbox', 'icon', 'name', 'version', 'current_version', 'desc'),
+				/*cols */		array('icon', 'name', 'version', 'current_version', 'desc'),
 				/* actions */	array('update')
 			);
@@ -162,5 +162,5 @@
 		->setModules($modules)
 		->displayModules(
-			/* cols */		array('expander', 'icon', 'name', 'version', 'desc', 'distrib'),
+			/* cols */		array('expander', 'icon', 'name', 'config', 'version', 'desc', 'distrib'),
 			/* actions */	array('deactivate', 'delete', 'behavior')
 		);
Index: admin/post.php
===================================================================
--- admin/post.php	(revision 2486)
+++ admin/post.php	(revision 2256)
@@ -299,5 +299,5 @@
 			# --BEHAVIOR-- adminAfterPostUpdate
 			$core->callBehavior('adminAfterPostUpdate',$cur,$post_id);
-			dcPage::addSuccessNotice (sprintf(__('The post "%s" has been successfully updated'),html::escapeHTML($cur->post_title)));
+			dcPage::addSuccessNotice (sprintf('The post "%s" has been successfully updated',html::escapeHTML($cur->post_title)));
 			http::redirect('post.php?id='.$post_id);
 		}
@@ -452,18 +452,18 @@
 			'items' => array(
 				'post_status' => 
-					'<p class="entry-status"><label for="post_status">'.__('Entry status').' '.$img_status.'</label>'.
+					'<p class="entry-status"><label for="post_status" class="ib">'.__('Entry status').' '.$img_status.'</label>'.
 					form::combo('post_status',$status_combo,$post_status,'maximal','',!$can_publish).
 					'</p>',
 				'post_dt' => 
-					'<p><label for="post_dt">'.__('Publication date and hour').'</label>'.
+					'<p><label for="post_dt" class="ib">'.__('Publication date and hour').'</label>'.
 					form::field('post_dt',16,16,$post_dt,($bad_dt ? 'invalid' : '')).
 					'</p>',
 				'post_lang' =>
-					'<p><label for="post_lang">'.__('Entry language').'</label>'.
+					'<p><label for="post_lang" class="ib">'.__('Entry language').'</label>'.
 					form::combo('post_lang',$lang_combo,$post_lang).
 					'</p>',
 				'post_format' =>
 					'<div>'.
-					'<h5 id="label_format"><label for="post_format" class="classic">'.__('Text formatting').'</label></h5>'.
+					'<h5 id="label_format"><label for="post_format" class="ib">'.__('Text formatting').'</label></h5>'.
 					'<p>'.form::combo('post_format',$formaters_combo,$post_format,'maximal').
 					'</p>'.
@@ -522,10 +522,10 @@
 					'</div>',
 				'post_password' =>
-					'<p><label for="post_password">'.__('Password').'</label>'.
+					'<p><label for="post_password" class="ib">'.__('Password').'</label>'.
 					form::field('post_password',10,32,html::escapeHTML($post_password),'maximal').
 					'</p>',
 				'post_url' =>
 					'<div class="lockable">'.
-					'<p><label for="post_url">'.__('Edit basename').'</label>'.
+					'<p><label for="post_url" class="ib">'.__('Edit basename').'</label>'.
 					form::field('post_url',10,255,html::escapeHTML($post_url),'maximal').
 					'</p>'.
@@ -538,10 +538,10 @@
 		"post_title" =>
 			'<p class="col">'.
-			'<label class="required no-margin bold"><abbr title="'.__('Required field').'">*</abbr> '.__('Title:').'</label>'.
+			'<label class="required no-margin"><abbr title="'.__('Required field').'">*</abbr> '.__('Title:').'</label>'.
 			form::field('post_title',20,255,html::escapeHTML($post_title),'maximal').
 			'</p>',
 		
 		"post_excerpt" =>
-			'<p class="area" id="excerpt-area"><label for="post_excerpt" class="bold">'.__('Excerpt:').' <span class="form-note">'.
+			'<p class="area" id="excerpt-area"><label for="post_excerpt">'.__('Excerpt:').' <span class="form-note">'.
 			__('Introduction to the post.').'</span></label> '.
 			form::textarea('post_excerpt',50,5,html::escapeHTML($post_excerpt)).
@@ -549,5 +549,5 @@
 		
 		"post_content" =>
-			'<p class="area" id="content-area"><label class="required bold" '.
+			'<p class="area" id="content-area"><label class="required" '.
 			'for="post_content"><abbr title="'.__('Required field').'">*</abbr> '.__('Content:').'</label> '.
 			form::textarea('post_content',50,$core->auth->getOption('edit_size'),html::escapeHTML($post_content)).
@@ -555,5 +555,5 @@
 		
 		"post_notes" =>
-			'<p class="area" id="notes-area"><label for="post_notes" class="bold">'.__('Personal notes:').' <span class="form-note">'.
+			'<p class="area" id="notes-area"><label for="post_notes">'.__('Personal notes:').' <span class="form-note">'.
 			__('Unpublished notes.').'</span></label>'.
 			form::textarea('post_notes',50,5,html::escapeHTML($post_notes)).
@@ -589,5 +589,5 @@
 		http::browserUID(DC_MASTER_KEY.$core->auth->userID().$core->auth->getInfo('user_pwd')).
 		'/'.$post->post_url);
-		echo '<a id="post-preview" href="'.$preview_url.'" class="button modal" accesskey="p">'.__('Preview').' (p)'.'</a> ';
+		echo '<a id="post-preview" href="'.$preview_url.'" class="button" accesskey="p">'.__('Preview').' (p)'.'</a> ';
 	} else {
 		echo
Index: admin/preferences.php
===================================================================
--- admin/preferences.php	(revision 2449)
+++ admin/preferences.php	(revision 2495)
@@ -47,6 +47,6 @@
 $default_tab = !empty($_GET['tab']) ? html::escapeHTML($_GET['tab']) : 'user-profile';
 
-if (!empty($_GET['append']) || !empty($_GET['removed']) || !empty($_GET['neworder']) || 
-	!empty($_GET['replaced']) || !empty($_POST['appendaction']) || !empty($_POST['removeaction']) || 
+if (!empty($_GET['append']) || !empty($_GET['removed']) || !empty($_GET['neworder']) ||
+	!empty($_GET['replaced']) || !empty($_POST['appendaction']) || !empty($_POST['removeaction']) ||
 	!empty($_GET['db-updated'])) {
 	$default_tab = 'user-favorites';
@@ -84,11 +84,11 @@
 	{
 		$pwd_check = !empty($_POST['cur_pwd']) && $core->auth->checkPassword(crypt::hmac(DC_MASTER_KEY,$_POST['cur_pwd']));
-		
+
 		if ($core->auth->allowPassChange() && !$pwd_check && $user_email != $_POST['user_email']) {
 			throw new Exception(__('If you want to change your email or password you must provide your current password.'));
 		}
-		
+
 		$cur = $core->con->openCursor($core->prefix.'user');
-		
+
 		$cur->user_name = $user_name = $_POST['user_name'];
 		$cur->user_firstname = $user_firstname = $_POST['user_firstname'];
@@ -100,5 +100,5 @@
 
 		$cur->user_options = new ArrayObject($user_options);
-		
+
 		if ($core->auth->allowPassChange() && !empty($_POST['new_pwd']))
 		{
@@ -106,21 +106,21 @@
 				throw new Exception(__('If you want to change your email or password you must provide your current password.'));
 			}
-			
+
 			if ($_POST['new_pwd'] != $_POST['new_pwd_c']) {
 				throw new Exception(__("Passwords don't match"));
 			}
-			
+
 			$cur->user_pwd = $_POST['new_pwd'];
 		}
-		
+
 		# --BEHAVIOR-- adminBeforeUserUpdate
 		$core->callBehavior('adminBeforeUserProfileUpdate',$cur,$core->auth->userID());
-		
+
 		# Udate user
 		$core->updUser($core->auth->userID(),$cur);
-		
+
 		# --BEHAVIOR-- adminAfterUserUpdate
 		$core->callBehavior('adminAfterUserProfileUpdate',$cur,$core->auth->userID());
-		
+
 		dcPage::addSuccessNotice(__('Personal information has been successfully updated.'));
 
@@ -134,10 +134,10 @@
 
 # Update user options
-if (isset($_POST['user_post_format'])) 
+if (isset($_POST['user_post_format']))
 {
 	try
 	{
 		$cur = $core->con->openCursor($core->prefix.'user');
-		
+
 		$cur->user_name = $user_name;
 		$cur->user_firstname = $user_firstname;
@@ -149,5 +149,5 @@
 
 		$cur->user_post_status = $user_post_status = $_POST['user_post_status'];
-		
+
 		$user_options['edit_size'] = (integer) $_POST['user_edit_size'];
 		if ($user_options['edit_size'] < 1) {
@@ -156,10 +156,10 @@
 		$user_options['post_format'] = $_POST['user_post_format'];
 		$user_options['enable_wysiwyg'] = !empty($_POST['user_wysiwyg']);
-		
+
 		$cur->user_options = new ArrayObject($user_options);
-		
+
 		# --BEHAVIOR-- adminBeforeUserOptionsUpdate
 		$core->callBehavior('adminBeforeUserOptionsUpdate',$cur,$core->auth->userID());
-		
+
 		# Update user prefs
 		$core->auth->user_prefs->accessibility->put('nodragdrop',!empty($_POST['user_acc_nodragdrop']),'boolean');
@@ -170,11 +170,11 @@
 		}
 		$core->auth->user_prefs->interface->put('media_by_page',(integer)$_POST['user_ui_media_by_page'],'integer');
-		
+
 		# Udate user
 		$core->updUser($core->auth->userID(),$cur);
-		
+
 		# --BEHAVIOR-- adminAfterUserOptionsUpdate
 		$core->callBehavior('adminAfterUserOptionsUpdate',$cur,$core->auth->userID());
-		
+
 		dcPage::addSuccessNotice(__('Personal options has been successfully updated.'));
 		http::redirect('preferences.php#user-options');
@@ -192,5 +192,5 @@
 		# --BEHAVIOR-- adminBeforeUserOptionsUpdate
 		$core->callBehavior('adminBeforeDashboardOptionsUpdate',$core->auth->userID());
-		
+
 		# Update user prefs
 		$core->auth->user_prefs->dashboard->put('doclinks',!empty($_POST['user_dm_doclinks']),'boolean');
@@ -199,8 +199,8 @@
 		$core->auth->user_prefs->interface->put('iconset',(!empty($_POST['user_ui_iconset']) ? $_POST['user_ui_iconset'] : ''));
 		$core->auth->user_prefs->interface->put('nofavmenu',empty($_POST['user_ui_nofavmenu']),'boolean');
-		
+
 		# --BEHAVIOR-- adminAfterUserOptionsUpdate
 		$core->callBehavior('adminAfterDashboardOptionsUpdate',$core->auth->userID());
-		
+
 		dcPage::addSuccessNotice(__('Dashboard options has been successfully updated.'));
 		http::redirect('preferences.php#user-favorites');
@@ -213,5 +213,5 @@
 
 # Add selected favorites
-if (!empty($_POST['appendaction'])) 
+if (!empty($_POST['appendaction']))
 {
 	try {
@@ -280,5 +280,5 @@
 			unset($order[$k]);
 		}
-	}	
+	}
 	$core->favs->setFavoriteIDs($order,false);
 	if (!$core->error->flag()) {
@@ -305,4 +305,5 @@
 	($user_acc_nodragdrop ? '' : dcPage::jsLoad('js/_preferences-dragdrop.js')).
 	dcPage::jsLoad('js/jquery/jquery-ui.custom.js').
+	dcPage::jsLoad('js/jquery/jquery.ui.touch-punch.js').
 	dcPage::jsLoad('js/jquery/jquery.pwstrength.js').
 		'<script type="text/javascript">'."\n".
@@ -320,5 +321,5 @@
 	dcPage::jsPageTabs($default_tab).
 	dcPage::jsConfirmClose('user-form').
-	
+
 	# --BEHAVIOR-- adminPreferencesHeaders
 	$core->callBehavior('adminPreferencesHeaders'),
@@ -386,5 +387,5 @@
 	echo
 	'<h4 class="vertical-separator pretty-title">'.__('Change my password').'</h4>'.
-	
+
 	'<div class="pw-table">'.
 	'<p class="pw-cell"><label for="new_pwd">'.__('New password:').'</label>'.
@@ -395,8 +396,8 @@
 	'</div>'.
 	'</div>'.
-	
+
 	'<p><label for="new_pwd_c">'.__('Confirm new password:').'</label>'.
 	form::password('new_pwd_c',20,255).'</p>'.
-	
+
 	'<p><label for="cur_pwd">'.__('Your current password:').'</label>'.
 	form::password('cur_pwd',20,255).'</p>'.
@@ -589,5 +590,5 @@
 
 if (count($iconsets_combo) > 1) {
-	echo 
+	echo
 		'<div class="fieldset">'.
 		'<h4>'.__('Dashboard icons').'</h4>'.
@@ -596,5 +597,5 @@
 		'</div>';
 } else {
-	echo '<p class="hidden">'.form::hidden('user_ui_iconset','').'</p>';
+	echo form::hidden('user_ui_iconset','');
 }
 
Index: admin/update.php
===================================================================
--- admin/update.php	(revision 2382)
+++ admin/update.php	(revision 2314)
@@ -203,6 +203,5 @@
 		echo
 			'<p class="static-msg">'.sprintf(__('Dotclear %s is available.'),$new_v).
-				($version_info ? ' <a href="'.$version_info.'" class="outgoing" title="'.__('Information about this version').'">('.
-					__('Information about this version').')&nbsp;<img src="images/outgoing.png" alt=""/></a>' : '').
+				($version_info ? ' <a href="'.$version_info.'">('.__('Information about this version').')</a>' : '').
 				'</p>'.
 		
Index: admin/user.php
===================================================================
--- admin/user.php	(revision 2342)
+++ admin/user.php	(revision 2256)
@@ -347,5 +347,5 @@
 				{
 					echo 
-					'<form action="users_actions.php" method="post" class="perm-block">'.
+					'<form action="users_actions.php" method="post">'.
 					'<p class="blog-perm">'.__('Blog:').' <a href="blog.php?id='.html::escapeHTML($k).'">'.
 					html::escapeHTML($v['name']).'</a> ('.html::escapeHTML($k).')</p>';
Index: admin/users_actions.php
===================================================================
--- admin/users_actions.php	(revision 2436)
+++ admin/users_actions.php	(revision 2256)
@@ -316,5 +316,4 @@
 }
 
-dcPage::helpBlock('core_users');
 dcPage::close();
 ?>
Index: inc/admin/actions/class.dcaction.php
===================================================================
--- inc/admin/actions/class.dcaction.php	(revision 2493)
+++ inc/admin/actions/class.dcaction.php	(revision 2243)
@@ -43,20 +43,20 @@
 	/** @var string form field name for "entries" (usually "entries") */
 	protected $field_entries;
-
+	
 	/** @var string title for checkboxes list, if displayed */
 	protected $cb_title;
-
+	
 	/** @var string title for caller page title */
 	protected $caller_title;
 
 	/** @var boolean true if we are acting inside a plugin (different handling of begin/endpage) */
-	protected $in_plugin;
-
+	protected $in_plugin;	
+	
 	/** @var boolean true if we enable to keep selection when redirecting */
-	protected $enable_redir_selection;
+	protected $enable_redir_selection;	
 
     /**
      * Class constructor
-     *
+     * 
      * @param mixed  $core   dotclear core
      * @param mixed  $uri   form uri
@@ -89,5 +89,5 @@
 		$this->enable_redir_selection = true;
 	}
-
+	
     /**
      * setEnableRedirSelection - define whether to keep selection when redirecting
@@ -101,5 +101,5 @@
 		$this->enable_redir_selection = $enable;
 	}
-
+	
     /**
      * addAction - adds an action
@@ -138,5 +138,5 @@
 		return $this;
 	}
-
+	
     /**
      * getCombo - returns the actions combo, useable through form::combo
@@ -149,6 +149,6 @@
 		return $this->combo;
 	}
-
-
+	
+	
     /**
      * getIDS() - returns the list of selected entries
@@ -161,5 +161,5 @@
 		return array_keys($this->entries);
 	}
-
+	
     /**
      * getIDS() - returns the list of selected entries as HTML hidden fields string
@@ -176,5 +176,5 @@
 		return $ret;
 	}
-
+	
     /**
      * getHiddenFields() - returns all redirection parameters as HTML hidden fields
@@ -185,5 +185,5 @@
 	 *
      * @return string the HTML code for hidden fields
-     */
+     */	
 	public function getHiddenFields($with_ids = false) {
 		$ret = '';
@@ -196,6 +196,6 @@
 		return $ret;
 	}
-
-
+	
+	
 	/**
      * getRS() - get record from DB Query containing requested IDs
@@ -210,5 +210,5 @@
 		return $this->rs;
 	}
-
+	
 	/**
      * setupRedir - setup redirection arguments
@@ -233,5 +233,5 @@
      *
      * @param array $params extra parameters to append to redirection
-	 *						must be an array : each key is the name,
+	 *						must be an array : each key is the name, 
 	 *						each value is the wanted value
      * @param boolean $with_selected_entries if true, add selected entries in url
@@ -246,5 +246,5 @@
 			unset($redir_args['redir']);
 		}
-
+		
 		if ($with_selected_entries && $this->enable_redir_selection) {
 			$redir_args[$this->field_entries] = array_keys($this->entries);
@@ -252,5 +252,5 @@
 		return $this->uri.'?'.http_build_query($redir_args).$this->redir_anchor;
 	}
-
+	
 	/**
      * redirect - redirects to redirection page
@@ -263,6 +263,6 @@
 		http::redirect($this->getRedirection($with_selected_entries,$params));
 		exit;
-	}
-
+	}	
+	
 	/**
      * getURI - returns current form URI, if any
@@ -286,5 +286,5 @@
 		return $this->caller_title;
 	}
-
+	
 	/**
      * getAction - returns current action, if any
@@ -309,5 +309,5 @@
 
 		$this->setupRedir($this->from);
-		$this->fetchEntries($this->from);
+		$this->fetchEntries($this->from);	
 		if (isset($this->from['action'])) {
 			$this->action = $this->from['action'];
@@ -339,11 +339,11 @@
      */
 	public function getCheckboxes() {
-		$ret =
+		$ret = 
 			'<table class="posts-list"><tr>'.
 			'<th colspan="2">'.$this->cb_title.'</th>'.
 			'</tr>';
 		foreach ($this->entries as $id=>$title) {
-			$ret .=
-				'<tr><td class="minimal">'.
+			$ret .= 
+				'<tr><td>'.
 				form::checkbox(array($this->field_entries.'[]'),$id,true,'','').'</td>'.
 				'<td>'.	$title.'</td></tr>';
@@ -352,5 +352,5 @@
 		return $ret;
 	}
-
+	
 	/**
      * beginPage, endPage - displays the beginning/ending of a page, if action does not redirects dirtectly
Index: inc/admin/actions/class.dcactioncomments.php
===================================================================
--- inc/admin/actions/class.dcactioncomments.php	(revision 2493)
+++ inc/admin/actions/class.dcactioncomments.php	(revision 2256)
@@ -29,5 +29,5 @@
 		dcDefaultCommentActions::adminCommentsActionsPage($this->core,$this);
 	}
-
+	
 	public function beginPage($breadcrumb='',$head='') {
 		if ($this->in_plugin) {
@@ -43,10 +43,10 @@
 				$head,
 				$breadcrumb
-			);
+			);	
 
 		}
 		echo '<p><a class="back" href="'.$this->getRedirection(true).'">'.__('Back to comments list').'</a></p>';
 	}
-
+	
 	public function endPage() {
 		dcPage::close();
@@ -64,5 +64,5 @@
 		$this->endPage();
 	}
-
+	
 	/**
      * getcheckboxes -returns html code for selected entries
@@ -74,11 +74,11 @@
      */
 	public function getCheckboxes() {
-		$ret =
+		$ret = 
 			'<table class="posts-list"><tr>'.
 			'<th colspan="2">'.__('Author').'</th><th>'.__('Title').'</th>'.
 			'</tr>';
 		foreach ($this->entries as $id=>$title) {
-			$ret .=
-				'<tr><td class="minimal">'.
+			$ret .= 
+				'<tr><td>'.
 				form::checkbox(array($this->field_entries.'[]'),$id,true,'','').'</td>'.
 				'<td>'.	$title['author'].'</td><td>'.$title['title'].'</td></tr>';
@@ -91,15 +91,15 @@
 		if (!empty($from['comments'])) {
 			$comments = $from['comments'];
-
+			
 			foreach ($comments as $k => $v) {
 				$comments[$k] = (integer) $v;
 			}
-
+			
 			$params['sql'] = 'AND C.comment_id IN('.implode(',',$comments).') ';
-
+			
 			if (!isset($from['full_content']) || empty($from['full_content'])) {
 				$params['no_content'] = true;
 			}
-
+			
 			$co = $this->core->blog->getComments($params);
 			while ($co->fetch())	{
@@ -116,5 +116,5 @@
 }
 
-class dcDefaultCommentActions
+class dcDefaultCommentActions 
 {
 	public static function adminCommentsActionsPage($core, dcCommentsActionsPage $ap) {
@@ -127,5 +127,5 @@
 			$ap->addAction(array(__('Mark as junk') => 'junk'), $action);
 		}
-
+	
 		if ($core->auth->check('delete,contentadmin',$core->blog->id))
 		{
@@ -147,5 +147,5 @@
 			default : $status = 1; break;
 		}
-
+		
 		$core->blog->updCommentsStatus($co_ids,$status);
 
@@ -163,10 +163,10 @@
 		{
 			# --BEHAVIOR-- adminBeforeCommentDelete
-			$core->callBehavior('adminBeforeCommentDelete',$comment_id);
+			$core->callBehavior('adminBeforeCommentDelete',$comment_id);				
 		}
-
+		
 		# --BEHAVIOR-- adminBeforeCommentsDelete
 		$core->callBehavior('adminBeforeCommentsDelete',$co_ids);
-
+		
 		$core->blog->delComments($co_ids);
 		dcPage::addSuccessNotice(__('Selected comments have been successfully deleted.'));
Index: inc/admin/actions/class.dcactionposts.php
===================================================================
--- inc/admin/actions/class.dcactionposts.php	(revision 2494)
+++ inc/admin/actions/class.dcactionposts.php	(revision 2309)
@@ -28,5 +28,5 @@
 
 	}
-
+	
 	public function beginPage($breadcrumb='',$head='') {
 		if ($this->in_plugin) {
@@ -46,5 +46,5 @@
 		echo '<p><a class="back" href="'.$this->getRedirection(true).'">'.__('Back to entries list').'</a></p>';
 	}
-
+	
 	public function endPage() {
 		if ($this->in_plugin) {
@@ -54,5 +54,5 @@
 		}
 	}
-
+	
 	public function error(Exception $e) {
 		$this->core->error->add($e->getMessage());
@@ -66,29 +66,29 @@
 		$this->endPage();
 	}
-
+	
 	protected function fetchEntries($from) {
 		if (!empty($from['entries']))
 		{
 			$entries = $from['entries'];
-
+			
 			foreach ($entries as $k => $v) {
 				$entries[$k] = (integer) $v;
 			}
-
+			
 			$params['sql'] = 'AND P.post_id IN('.implode(',',$entries).') ';
-
+			
 			if (!isset($from['full_content']) || empty($from['full_content'])) {
 				$params['no_content'] = true;
 			}
-
+			
 			if (isset($from['post_type'])) {
 				$params['post_type'] = $from['post_type'];
 			}
-
+			
 			$posts = $this->core->blog->getPosts($params);
 			while ($posts->fetch())	{
 				$this->entries[$posts->post_id] = $posts->post_title;
 			}
-			$this->rs = $posts;
+			$this->rs = $posts;			
 		} else {
 			$this->rs = $this->core->con->select("SELECT blog_id FROM ".$this->core->prefix."blog WHERE false");;
@@ -97,5 +97,5 @@
 }
 
-class dcDefaultPostActions
+class dcDefaultPostActions 
 {
 	public static function adminPostsActionsPage($core, $ap) {
@@ -170,5 +170,5 @@
 		$ap->redirect(true);
 	}
-
+	
 	public static function doUpdateSelectedPost($core, dcPostsActionsPage $ap, $post) {
 		$posts_ids = $ap->getIDs();
@@ -199,5 +199,5 @@
 		$ap->redirect(true);
 	}
-
+	
 	public static function doDeletePost($core, dcPostsActionsPage $ap, $post) {
 
@@ -212,8 +212,8 @@
 			$core->callBehavior('adminBeforePostDelete',(integer) $post_id);
 		}
-
+		
 		# --BEHAVIOR-- adminBeforePostsDelete
 		$core->callBehavior('adminBeforePostsDelete',$posts_ids);
-
+		
 		$core->blog->delPosts($posts_ids);
 		dcPage::addSuccessNotice(sprintf(
@@ -225,5 +225,5 @@
 			count($posts_ids))
 		);
-
+		
 		$ap->redirect(false);
 	}
@@ -242,16 +242,16 @@
 				$cur_cat->cat_url = '';
 				$title = $cur_cat->cat_title;
-
+				
 				$parent_cat = !empty($post['new_cat_parent']) ? $post['new_cat_parent'] : '';
-
+				
 				# --BEHAVIOR-- adminBeforeCategoryCreate
 				$core->callBehavior('adminBeforeCategoryCreate', $cur_cat);
-
+				
 				$new_cat_id = $core->blog->addCategory($cur_cat, (integer) $parent_cat);
-
+				
 				# --BEHAVIOR-- adminAfterCategoryCreate
 				$core->callBehavior('adminAfterCategoryCreate', $cur_cat, $new_cat_id);
 			}
-
+			
 			$core->blog->updPostsCategory($posts_ids, $new_cat_id);
 			$title = $core->blog->getCategory($new_cat_id);
@@ -280,5 +280,5 @@
 			$categories_combo = dcAdminCombos::getCategoriesCombo(
 				$core->blog->getCategories()
-			);
+			);			
 			echo
 			'<form action="'.$ap->getURI().'" method="post">'.
@@ -286,7 +286,7 @@
 			'<p><label for="new_cat_id" class="classic">'.__('Category:').'</label> '.
 			form::combo(array('new_cat_id'),$categories_combo,'');
-
+			
 			if ($core->auth->check('categories', $core->blog->id)) {
-				echo
+				echo 
 				'<div>'.
 				'<p id="new_cat">'.__('Create a new category for the post(s)').'</p>'.
@@ -298,5 +298,5 @@
 				'</div>';
 			}
-
+			
 			echo
 			$core->formNonce().
@@ -308,5 +308,5 @@
 
 		}
-
+	
 	}
 	public static function doChangePostAuthor($core, dcPostsActionsPage $ap, $post) {
@@ -320,5 +320,5 @@
 				throw new Exception(__('This user does not exist'));
 			}
-
+			
 			$cur = $core->con->openCursor($core->prefix.'post');
 			$cur->user_id = $new_user_id;
@@ -368,5 +368,5 @@
 			'<p><label for="new_auth_id" class="classic">'.__('New author (author ID):').'</label> '.
 			form::field('new_auth_id',20,255);
-
+			
 			echo
 				$core->formNonce().$ap->getHiddenFields().
@@ -403,5 +403,5 @@
 						html::escapeHTML($core->blog->name) => '',
 						$ap->getCallerTitle() => $ap->getRedirection(true),
-						__('Change language for this selection') => ''
+						_('Change language for this selection') => ''
 			)));
 			# lang list
@@ -420,12 +420,12 @@
 			unset($all_langs);
 			unset($rs);
-
+			
 			echo
 			'<form action="'.$ap->getURI().'" method="post">'.
 			$ap->getCheckboxes().
-
+			
 			'<p><label for="new_lang" class="classic">'.__('Entry language:').'</label> '.
 			form::combo('new_lang',$lang_combo,'');
-
+			
 			echo
 				$core->formNonce().$ap->getHiddenFields().
Index: inc/admin/class.dc.favorites.php
===================================================================
--- inc/admin/class.dc.favorites.php	(revision 2376)
+++ inc/admin/class.dc.favorites.php	(revision 2302)
@@ -491,5 +491,5 @@
 	{
 		$comment_count = $core->blog->getComments(array(),true)->f(0);
-		$str_comments = __('%d comment', '%d comments',$comment_count);
+		$str_comments = __('%d comments', '%d comments',$comment_count);
 		$v['title']= sprintf($str_comments,$comment_count);
 	}
Index: inc/admin/lib.dc.page.php
===================================================================
--- inc/admin/lib.dc.page.php	(revision 2487)
+++ inc/admin/lib.dc.page.php	(revision 2328)
@@ -665,6 +665,4 @@
 		self::jsVar('dotclear.msg.confirm_delete_plugin',
 			__('Are you sure you want to delete "%s" plugin?')).
-		self::jsVar('dotclear.msg.confirm_delete_plugins',
-			__('Are you sure you want to delete selected plugins?')).
 		self::jsVar('dotclear.msg.use_this_theme',
 			__('Use this theme')).
@@ -673,6 +671,4 @@
 		self::jsVar('dotclear.msg.confirm_delete_theme',
 			__('Are you sure you want to delete "%s" theme?')).
-		self::jsVar('dotclear.msg.confirm_delete_themes',
-			__('Are you sure you want to delete selected themes?')).
 		self::jsVar('dotclear.msg.confirm_delete_backup',
 			__('Are you sure you want to delete this backup?')).
